"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
function empty(arg0, arg1, select) {
    var mutable;
    var compare;
    if (typeof arg0 === 'function') {
        compare = arg0;
        if (typeof arg1 === 'function') {
            select = arg1;
        }
        mutable = false;
    }
    else {
        mutable = core_1.isMutationContext(arg0) || core_1.isBoolean(arg0) ? arg0 : false;
    }
    return internals_1.emptySortedMap(compare, select, mutable);
}
exports.empty = empty;
function isSortedMap(arg) {
    return internals_1.isSortedMap(arg);
}
exports.isSortedMap = isSortedMap;

//# sourceMappingURL=empty.js.map
