import { RedBlackTreeEntry } from '@collectable/red-black-tree';
import { SortedMapStructure } from './SortedMap';
import { SortingKey } from './types';
export declare function iterate<K, V, U>(map: SortedMapStructure<K, V, U>): IterableIterator<RedBlackTreeEntry<SortingKey<K, U>, V>>;
export declare function iterateKeys<K, V, U>(map: SortedMapStructure<K, V, U>): IterableIterator<K>;
export declare function iterateValues<K, V, U>(map: SortedMapStructure<K, V, U>): IterableIterator<V>;
export declare function iteratePairs<K, V, U>(map: SortedMapStructure<K, V, U>): IterableIterator<[K, V]>;
