"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
function at(index, map) {
    return internals_1.getItemByIndex(index, map._sorted);
}
exports.at = at;
function keyAt(index, map) {
    const item = internals_1.getItemByIndex(index, map._sorted);
    return core_1.isDefined(item) ? item[0] : void 0;
}
exports.keyAt = keyAt;
function valueAt(index, map) {
    const item = internals_1.getItemByIndex(index, map._sorted);
    return core_1.isDefined(item) ? item[1] : void 0;
}
exports.valueAt = valueAt;
function first(map) {
    return internals_1.getFirstItem(map._sorted);
}
exports.first = first;
function firstKey(map) {
    const item = internals_1.getFirstItem(map._sorted);
    return core_1.isDefined(item) ? item[0] : void 0;
}
exports.firstKey = firstKey;
function firstValue(map) {
    const item = internals_1.getFirstItem(map._sorted);
    return core_1.isDefined(item) ? item[1] : void 0;
}
exports.firstValue = firstValue;
function last(map) {
    return internals_1.getLastItem(map._sorted);
}
exports.last = last;
function lastKey(map) {
    const item = internals_1.getLastItem(map._sorted);
    return core_1.isDefined(item) ? item[0] : void 0;
}
exports.lastKey = lastKey;
function lastValue(map) {
    const item = internals_1.getLastItem(map._sorted);
    return core_1.isDefined(item) ? item[1] : void 0;
}
exports.lastValue = lastValue;

//# sourceMappingURL=at.js.map
