import { isDefined } from '@collectable/core';
import { getItemByIndex, getFirstItem, getLastItem } from '../internals';
export function at(index, map) {
    return getItemByIndex(index, map._sorted);
}
export function keyAt(index, map) {
    const item = getItemByIndex(index, map._sorted);
    return isDefined(item) ? item[0] : void 0;
}
export function valueAt(index, map) {
    const item = getItemByIndex(index, map._sorted);
    return isDefined(item) ? item[1] : void 0;
}
export function first(map) {
    return getFirstItem(map._sorted);
}
export function firstKey(map) {
    const item = getFirstItem(map._sorted);
    return isDefined(item) ? item[0] : void 0;
}
export function firstValue(map) {
    const item = getFirstItem(map._sorted);
    return isDefined(item) ? item[1] : void 0;
}
export function last(map) {
    return getLastItem(map._sorted);
}
export function lastKey(map) {
    const item = getLastItem(map._sorted);
    return isDefined(item) ? item[0] : void 0;
}
export function lastValue(map) {
    const item = getLastItem(map._sorted);
    return isDefined(item) ? item[1] : void 0;
}

//# sourceMappingURL=at.js.map
